Bug 1176097 (CVE-2015-0361, xsa116) - CVE-2015-0361 kernel: xen crash due to use after free on hvm guest teardown (xsa116)
Summary: CVE-2015-0361 kernel: xen crash due to use after free on hvm guest teardown (...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2015-0361, xsa116
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1179221
Blocks: 1175385
TreeView+ depends on / blocked
 
Reported: 2014-12-19 12:03 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 15:53:31 UTC


Attachments (Terms of Use)
xsa116.patch (848 bytes, patch)
2014-12-19 12:04 UTC, Vasyl Kaigorodov
no flags Details | Diff
xsa116-4.3-4.2.patch (749 bytes, patch)
2014-12-19 12:05 UTC, Vasyl Kaigorodov
no flags Details | Diff

Description Vasyl Kaigorodov 2014-12-19 12:03:06 UTC
Xen Security Advisory XSA-116

xen crash due to use after free on hvm guest teardown

ISSUE DESCRIPTION
=================

Certain data accessible (via hypercalls) by the domain controlling the
execution of a HVM domain is being freed prematurely, leading to the
respective memory regions to possibly be read from and written to in
ways unexpected by their new owner(s).

IMPACT
======

Malicious or buggy stub domain kernels or tool stacks otherwise living
outside of Domain0 can mount a denial of service attack which, if
successful, can affect the whole system.

Only domains controlling HVM guests can exploit this vulnerability.
(This includes domains providing hardware emulation services to HVM
guests.)

VULNERABLE SYSTEMS
==================

Xen versions from 4.2 onwards are vulnerable on x86 systems.
ARM systems are not vulnerable.

This vulnerability is only applicable to Xen systems using stub domains
or other forms of disaggregation of control domains for HVM guests.

MITIGATION
==========

Running only PV guests will avoid this issue.

(The security of a Xen system using stub domains is still better than
with a qemu-dm running as an unrestricted dom0 process. Therefore
users with these configurations should not switch to an unrestricted
dom0 qemu-dm.)

CREDITS
=======

The issue was discovered by Mihai Donțu from Bitdefender who also
supplied the fix.

RESOLUTION
==========

Applying the appropriate attached patch resolves this issue.

xsa116.patch xen-unstable, Xen 4.4.x
xsa116-4.3-4.2.patch Xen 4.3.x, Xen 4.2.x

$ sha256sum xsa116*.patch
84b5a7bb2386e3d95d9d836a4a2504870723694ddaf537f1b59db75b7c63e9bd xsa116.patch
3aed6d157f62343a806347ea7c37bb8cdf50ee68002449bded9c7c1712810201 xsa116-4.3-4.2.patch
$

Comment 1 Vasyl Kaigorodov 2014-12-19 12:04:32 UTC
Created attachment 971110 [details]
xsa116.patch

Comment 2 Vasyl Kaigorodov 2014-12-19 12:05:01 UTC
Created attachment 971111 [details]
xsa116-4.3-4.2.patch

Comment 3 Martin Prpič 2015-01-06 13:00:48 UTC
Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 4 Martin Prpič 2015-01-06 13:01:12 UTC
External References:

http://xenbits.xen.org/xsa/advisory-116.html

Comment 5 Martin Prpič 2015-01-06 13:01:40 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1179221]

Comment 6 Fedora Update System 2015-01-17 05:36:06 UTC
xen-4.4.1-12.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-01-17 05:50:11 UTC
xen-4.3.3-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Petr Matousek 2015-03-31 15:53:31 UTC
Statement:

Not vulnerable.

This issue does not affect the kernel-xen packages as shipped with Red Hat Enterprise Linux 5.


Note You need to log in before you can comment on or make changes to this bug.